schema_version: mapper-os/executable-blueprint
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml
source:
  input: https://github.com/presenton/presenton
  checkout_path: external-source-checkout
  commit: cd6b0ac1c7ea9fa8f385c766fb900a08e1c2299b
generated_at: 2026-05-24T10:45:00Z
claim_status: PROOF_REQUIRED
blueprint_mode:
  primary: product
  secondary: []
  phase_style: outcome_flow
setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  required_before_phases: true
implementation_loop:
  required: true
  steps: [observe, plan, execute, verify, reflect, record]
  completion_requires: [proof_gate_passed, evidence_recorded]
repair_loop:
  on_failure:
    test_failed: current_phase
    build_failed: current_phase
    runtime_error: current_phase
    ui_quality_failed: current_phase
    proof_gate_failed: current_phase
    architecture_contradiction: 02-project-setup.md
    missing_human_preference: 01-questions.md
    missing_dependency_phase: required_prior_phase
    external_blocker: 05-evidence/evidence-ledger.jsonl
phases:
  - phase_id: 01-instance-auth-config-provider-setup
    title: 01-instance-auth-config-provider-setup
    file: 03-phases/01-instance-auth-config-provider-setup.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 02-content-ingestion-outline-generation
    title: 02-content-ingestion-outline-generation
    file: 03-phases/02-content-ingestion-outline-generation.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 03-deck-structure-slide-generation
    title: 03-deck-structure-slide-generation
    file: 03-phases/03-deck-structure-slide-generation.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 04-media-template-theme-assets
    title: 04-media-template-theme-assets
    file: 03-phases/04-media-template-theme-assets.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 05-editor-chat-iteration-workflow
    title: 05-editor-chat-iteration-workflow
    file: 03-phases/05-editor-chat-iteration-workflow.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 06-export-api-webhooks-mcp-desktop
    title: 06-export-api-webhooks-mcp-desktop
    file: 03-phases/06-export-api-webhooks-mcp-desktop.md
    status: INCLUDED_NEEDS_PROOF
context:
  phase_index: 03-phases/phase-index.yaml
  active_phase: 03-phases/01-instance-auth-config-provider-setup.md
  evaluation: 04-evaluation.md
  evidence_schema: 05-evidence/evidence-ledger.schema.json
generated_artifacts:
  agent_prompt: generated/agent-prompt.md
